package me.chyxion.tigon.webmvc.annotation;

import java.lang.annotation.*;

/**
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * Jun 26, 2018 17:57:46
 */
@Documented
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface ListApi {

    /**
     * search cols
     * @return search cols
     */
    String[] searchCols() default {};

    /**
     * order cols
     * @return order cols
     */
    OrderCol[] orderCols() default {};

    /**
     * criterion cols
     * @return criterion cols
     */
    CriterionCol[] criterionCols() default {};
}
